function p = par_css()
% Parameters for compact separation system
%
p.rho_g=15.7; % density of gas corrected to 25 bar.
p.rho_l=850; % 35 API gravity crude oil- dens_liq kg/m3
p.mu_g=1.83e-05; % visco_gas kg/m/s
p.mu_l=16.7e-03; % visco_liq kg/m/s
p.D=0.1; % Diameter inlet pipe in m
p.Dg=1; % Diameter of gravity sep
p.g=9.81;
p.surf_t=0.032; % Liq surf tension in N/m
p.Em=0.99; % maximum entrainment fraction
p.m=1; %settling law exponent (1,0.6,0 for stokes, intermediate and newtons laws)
p.delta=0.72;

p.R=9e-02; % radius of degasser
p.r_g=sqrt(0.18)*p.R; % radius of gas extraction pipe (max.inlet gvf=0.15)
p.L_2=2;% length of degasser 
p.dp=250*1e-06; % droplet size

p.R_3=7.5e-02; % radius of deliquidizer
p.L_3=1.5;% length of deliquidizer 
p.S=0.1; % assumed ratio(S=q_g3/q_l3)


end

